<?php

namespace App\Http\Controllers\UyelerAuth;

use App\Http\Controllers\Controller;
use App\Models\EmailConfiguration;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Password;
use Illuminate\Support\Facades\DB;

class PasswordResetLinkController extends Controller
{
    /**
     * Display the password reset link request view.
     *
     * @return \Illuminate\View\View
     */
    public function create()
    {
        return view('tema.uye.uyesifremiunuttum');
    }


    /**
     * Handle an incoming password reset link request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     *
     * @throws \Illuminate\Validation\ValidationException
     */



    public function store(Request $request)
    {



        $request->validate([
            'email' => 'required|email|exists:uyelers,email'
        ]);

        $token = \Str::random(64);
        \DB::table('password_resets')->insert([
            'email' => $request->email,
            'token' => $token,
            'created_at' => Carbon::now(),
        ]);

        $action_link = route('uye.password.reset', ['token' => $token, 'email' => $request->email]);
        $body = "Parolanızı Sıfırlamak İçin bir istek almış bulunmaktayız <b>Yeni Şifre için,</b> İlişkili Hesabınız " . $request->email . ". Aşağıdaki linke tıklayarak şifrenizi sıfırlayabilirsiniz.";




        \Mail::send('mail.email-forgot', ['action_link' => $action_link, 'body' => $body], function ($message) use ($request) {

            $verial=EmailConfiguration::find(1);


            $message->from($verial->sender_email, 'Şifre Sıfırlama Maili');
            $message->to($request->email, $verial->sender_name)
                ->subject('Şifre Sıfırlama');
        });

        return back()->with('success', 'Şifre Sıfırlama Maili Başarıyla Gönderilmiştir!');
    }
}
